import 'package:flutter/material.dart';
import 'package:functions/src/features/activity_meter/presentation/screens/activity_meter_screen.dart';
import 'package:go_router/go_router.dart';
import 'package:get_it/get_it.dart';
import 'package:navigation/navigation.dart';

class ActivityMeterBuilder {
  const ActivityMeterBuilder();

  Page<void> buildPage(BuildContext context, GoRouterState state) {
    final NavigationContract navigationContract = GetIt.I<NavigationContract>();

    return MaterialPage<void>(
      key: state.pageKey,
      child: ActivityMeterScreen(navigationContract: navigationContract),
    );
  }
}
